# new join (and reset)
clear @a[team=]
effect clear @a[team=]
spawnpoint @a[team=] 2000 130 2000
title @a[team=] times 0 10 5
gamemode adventure @a[team=]
tp @a[team=] 2000 130 2000

tag @a[team=,tag=InGame] remove InGame
tag @a[team=,tag=Alive] remove Alive

scoreboard players set @a[team=] LvlBow 0
scoreboard players set @a[team=] LvlSword 0
scoreboard players set @a[team=] LvlArmor 0
scoreboard players set @a[team=] LegalDodge 0
scoreboard players set @a[team=] TutorialTick 0

team join Spawn @a[team=]


# score reset
execute as @a unless score @s LvlBow matches 0.. run scoreboard players set @s LvlBow 0
execute as @a unless score @s LvlSword matches 0.. run scoreboard players set @s LvlSword 0
execute as @a unless score @s LvlArmor matches 0.. run scoreboard players set @s LvlArmor 0
execute as @a unless score @s LegalDodge matches 0.. run scoreboard players set @s LegalDodge 0
execute as @a unless score @s TimerPetEffect matches 0.. run scoreboard players set @s TimerPetEffect 0
execute as @e[type=armor_stand,tag=Obj] unless score @s Cap matches -310..310 run scoreboard players set @s Cap 0
execute as @e[type=sheep] unless score @s SheepTimer matches 0.. run scoreboard players set @s SheepTimer 0


# effect
effect give @e[tag=Invisible] minecraft:invisibility 3 0 true
effect give @e[tag=Levitation] minecraft:levitation 3 255
effect give @a[nbt=!{ActiveEffects:[{Id:23b}]}] minecraft:saturation 60 0 true
effect give @a[nbt=!{ActiveEffects:[{Id:10b}]}] minecraft:regeneration 3 0 true


# regen structure
execute if score regen_loop tick matches 60 run function evo_war:regen_loop
execute if score regen_loop tick matches 60.. run scoreboard players set regen_loop tick 0


# height killer
execute as @e[type=!player] at @s if block 2000 ~ 2000 obsidian run kill @s
execute as @a[gamemode=adventure] at @s if block 2000 ~ 2000 obsidian run kill @s
execute as @a[gamemode=survival] at @s if block 2000 ~ 2000 obsidian run kill @s


# UseEgg System
tag @a[scores={UseStoneEgg=1..}] add UseEgg
tag @a[scores={UseWoodenEgg=1..}] add UseEgg
tag @a[scores={UseArmoredEgg=1..}] add UseEgg
tag @a[scores={UseSpecialEgg=1..}] add UseEgg

scoreboard players set @a[scores={UseStoneEgg=1..}] UseStoneEgg 0
scoreboard players set @a[scores={UseWoodenEgg=1..}] UseWoodenEgg 0
scoreboard players set @a[scores={UseArmoredEgg=1..}] UseArmoredEgg 0
scoreboard players set @a[scores={UseSpecialEgg=1..}] UseSpecialEgg 0


# restricted area
execute as @a[team=Blue,tag=inRestrictedArea] at @s unless block ~ 3 ~ barrier run tag @s remove inRestrictedArea
execute as @a[tag=Alive,team=Blue,tag=!inRestrictedArea] at @s if block ~ 3 ~ barrier run title @s title ""
execute as @a[tag=Alive,team=Blue,tag=!inRestrictedArea] at @s if block ~ 3 ~ barrier run title @s subtitle {"text":"You are in restricted area","color":"red"}
execute as @a[tag=Alive,team=Blue,tag=!inRestrictedArea] at @s if block ~ 3 ~ barrier run tag @s add inRestrictedArea

execute as @a[team=Orange,tag=inRestrictedArea] at @s unless block ~ 0 ~ barrier run tag @s remove inRestrictedArea
execute as @a[tag=Alive,team=Orange,tag=!inRestrictedArea] at @s if block ~ 0 ~ barrier run title @s title ""
execute as @a[tag=Alive,team=Orange,tag=!inRestrictedArea] at @s if block ~ 0 ~ barrier run title @s subtitle {"text":"You are in restricted area","color":"red"}
execute as @a[tag=Alive,team=Orange] at @s if block ~ 0 ~ barrier run tag @s add inRestrictedArea

execute as @a[team=Training,tag=inRestrictedArea] at @s unless block ~ 0 ~ barrier run tag @s remove inRestrictedArea
execute as @a[team=Training,tag=!inRestrictedArea] at @s if block ~ 0 ~ barrier run title @s title ""
execute as @a[team=Training,tag=!inRestrictedArea] at @s if block ~ 0 ~ barrier run title @s subtitle {"text":"You are in restricted area","color":"red"}
execute as @a[team=Training] at @s if block ~ 0 ~ barrier run tag @s add inRestrictedArea

tag @a[tag=!Alive,team=!Training] remove inRestrictedArea

gamemode survival @a[tag=!inRestrictedArea,team=Blue,gamemode=adventure]
gamemode adventure @a[tag=inRestrictedArea,team=Blue,gamemode=survival]

gamemode survival @a[tag=!inRestrictedArea,team=Orange,gamemode=adventure]
gamemode adventure @a[tag=inRestrictedArea,team=Orange,gamemode=survival]

execute at @e[tag=isStructure,tag=!Utils] if block ~ 0 ~ barrier run tellraw @a[distance=..10,tag=UseEgg] {"text":"! You can't create structure in restricted area !","color":"red","bold":true}
execute at @e[tag=isStructure,tag=!Utils] if block ~ 3 ~ barrier run tellraw @a[distance=..10,tag=UseEgg] {"text":"! You can't create structure in restricted area !","color":"red","bold":true}
execute at @e[tag=isStructure,tag=!Utils] if block ~ 0 ~ barrier run kill @e[tag=isStructure,tag=!Utils,distance=..1]
execute at @e[tag=isStructure,tag=!Utils] if block ~ 3 ~ barrier run kill @e[tag=isStructure,tag=!Utils,distance=..1]


# Training Display
title @a[tag=inRestrictedArea,team=Training] actionbar {"text":"You are in restricted area!","color":"red"}


# Map borders
execute at @a[gamemode=!creative] if block ~ 6 ~ barrier as @p run function evo_war:message/zone/border
execute at @a[gamemode=!creative] if block ~ 7 ~ barrier as @p run function evo_war:message/zone/border
execute at @a[gamemode=!creative] if block ~ 8 ~ barrier as @p run function evo_war:message/zone/border
execute at @a[gamemode=!creative] if block ~ 9 ~ barrier as @p run function evo_war:message/zone/border

execute at @a[gamemode=!creative] if block ~ 6 ~ barrier run tp @p ~ ~ ~1
execute at @a[gamemode=!creative] if block ~ 7 ~ barrier run tp @p ~ ~ ~-1
execute at @a[gamemode=!creative] if block ~ 8 ~ barrier run tp @p ~1 ~ ~
execute at @a[gamemode=!creative] if block ~ 9 ~ barrier run tp @p ~-1 ~ ~


# customization
replaceitem entity @a[scores={Hat=1}] armor.head minecraft:player_head{SkullOwner:{Id:"bcefcc41-e997-4845-ae08-7b8a1a2d51b6",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODY4ZjRjZWY5NDlmMzJlMzNlYzVhZTg0NWY5YzU2OTgzY2JlMTMzNzVhNGRlYzQ2ZTViYmZiN2RjYjYifX19"}]}},display:{Name:"Cool Hat"},Enchantments:[{id:"minecraft:binding_curse",lvl:1},{id:"minecraft:vanishing_curse",lvl:1}]} 1
replaceitem entity @a[scores={Hat=2}] armor.head minecraft:player_head{SkullOwner:"Santa",display:{Name:"Santa Hat"},Enchantments:[{id:"minecraft:binding_curse",lvl:1},{id:"minecraft:vanishing_curse",lvl:1}]} 1
replaceitem entity @a[scores={Hat=3}] armor.head minecraft:player_head{SkullOwner:"MHF_Pig",display:{Name:"Pig Hat"},Enchantments:[{id:"minecraft:binding_curse",lvl:1},{id:"minecraft:vanishing_curse",lvl:1}]} 1
replaceitem entity @a[scores={Hat=4}] armor.head minecraft:player_head{SkullOwner:"MHF_Squid",display:{Name:"Squid Hat"},Enchantments:[{id:"minecraft:binding_curse",lvl:1},{id:"minecraft:vanishing_curse",lvl:1}]} 1
execute at @a[scores={Hat=1..}] run playsound minecraft:block.wool.hit record @p[scores={Hat=1..}]

scoreboard players set @a[scores={Hat=1..}] Hat 0
scoreboard players set @a[scores={DeathEvent=10..}] Death 1
scoreboard players remove @a[scores={DeathEvent=10..}] DeathEvent 10

execute at @a[scores={Death=1..,DeathEvent=1},team=Blue] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Flicker:1,Colors:[I;65314],FadeColors:[I;28671]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=2},team=Blue] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;16777215],FadeColors:[I;28671]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=3},team=Blue] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;0],FadeColors:[I;28671]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=4},team=Blue] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;12779775],FadeColors:[I;28671]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=1},team=Orange] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Flicker:1,Colors:[I;65314],FadeColors:[I;16744707]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=2},team=Orange] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;16777215],FadeColors:[I;16744707]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=3},team=Orange] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;0],FadeColors:[I;16744707]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=4},team=Orange] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;12779775],FadeColors:[I;16744707]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=1},team=Spawn] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Flicker:1,Colors:[I;65314]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=2},team=Spawn] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;16777215]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=3},team=Spawn] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;0]}]}}}}
execute at @a[scores={Death=1..,DeathEvent=4},team=Spawn] run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1,Colors:[I;12779775]}]}}}}

effect give @a[scores={Trail=1..},tag=!Alive,team=Spawn] minecraft:speed 3 0 true
execute at @a[scores={Trail=1..},tag=!Alive] run particle flame ~ ~0.2 ~ 0 0 0 0.01 5 force
scoreboard players enable @a Trail


# lobby state
execute if score GameState Data matches 0 run function evo_war:lobby

# running state
execute if score GameState Data matches 1 run function evo_war:running


# training system
execute if block 2000 123 1990 minecraft:stone_button[facing=south,powered=true] at @e[type=armor_stand,x=2000,y=123,z=1990,distance=..2] as @p[distance=..10] run function evo_war:team/join/training
execute if block -1004 101 -1000 minecraft:stone_button[facing=east,powered=true] at @e[type=armor_stand,x=-1004,y=101,z=-1000,distance=..2] as @p[distance=..10] run function evo_war:team/leave/training
execute as @a[scores={Death=1..},team=Training] run function evo_war:team/leave/training
execute as @a[team=Training] run function evo_war:update_inventory/training


# Tutorial system
execute as @a[scores={TutorialTeam=1}] run function evo_war:team/join/tutorial
execute as @a[team=Tutorial] at @s run function evo_war:team/tutorial
execute as @a[scores={TutorialTeam=2}] run function evo_war:team/leave/tutorial
scoreboard players set @a[scores={TutorialTeam=1..}] TutorialTeam 0


# clear items
execute as @e[type=item,tag=!modified] run function evo_war:item_modifier

# structure system
execute as @e[type=area_effect_cloud,tag=isStructure] at @s run function evo_war:structure_system


# Easter Sheep
execute at @e[type=sheep] run particle minecraft:smoke ~ ~ ~ 0.1 0.1 0.1 0 1
execute at @e[type=sheep,scores={SheepTimer=0}] run playsound minecraft:entity.tnt.primed block @a ~ ~ ~
execute as @e[type=sheep,scores={SheepTimer=10}] run data merge entity @s {Color:14}
execute as @e[type=sheep,scores={SheepTimer=20}] run data merge entity @s {Color:0}
execute as @e[type=sheep,scores={SheepTimer=30}] run data merge entity @s {Color:14}
execute as @e[type=sheep,scores={SheepTimer=40}] run data merge entity @s {Color:0}
execute as @e[type=sheep,scores={SheepTimer=50}] run data merge entity @s {Color:14}
execute at @e[type=sheep,scores={SheepTimer=60}] run summon minecraft:tnt ~ ~ ~ {Fuse:0s}
tp @e[type=sheep,scores={SheepTimer=60..}] ~ -100 ~
kill @e[type=sheep,scores={SheepTimer=60..}]


# links
tellraw @a[scores={Links=1}] [{"text":"KubbyDev (Gaggaming): "},{"text":">> ","bold":true},{"text":"Youtube","color":"red","bold":true,"clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCs3WDZJPeBj1Ah1njHCJLGw"}},{"text":" Twitter","color":"aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/gabgaming"}},{"text":" PlanetMinecraft","color":"green","bold":true,"clickEvent":{"action":"open_url","value":"http://www.planetminecraft.com/member/gabgaming/"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=2}] [{"text":"Locolven: "},{"text":">> ","bold":true},{"text":"WTF","color":"red","bold":true,"clickEvent":{"action":"open_url","value":"https://www.youtube.com/watch?v=SrBQSFMA-Sw"}},{"text":" Twitter","color":"aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/locolven"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=3}] [{"text":"LeiRoF: "},{"text":">> ","bold":true},{"text":"Gunivers WebSite","color":"gold","bold":true,"clickEvent":{"action":"open_url","value":"https://gunivers.net/"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=4}] [{"text":"Warfrost9: "},{"text":">> ","bold":true},{"text":"Youtube","color":"red","bold":true,"clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UC0e7gfCnK-hKsyuY_Fpcciw"}},{"text":" Twitter","color":"aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/Oreli1_"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=5}] [{"text":"Seveso57: "},{"text":">> ","bold":true},{"text":"Youtube","color":"red","bold":true,"clickEvent":{"action":"open_url","value":"https://www.youtube.com/user/Xseveso57X"}},{"text":" Twitter","color":"aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/seveso57"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=6}] [{"text":"Gunivers Team: "},{"text":">> ","bold":true},{"text":"Gunivers Website","color":"gold","bold":true,"clickEvent":{"action":"open_url","value":"https://gunivers.net/"}},{"text":" Youtube","color":"red","bold":true,"clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCtQb5O95cCGp9iquLjY9O1g"}},{"text":" Twitter","color":"aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/Gunivers_"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=7}] [{"text":"Syl2010: "},{"text":">> ","bold":true},{"text":"Twitch","color":"dark_purple","bold":true,"clickEvent":{"action":"open_url","value":"https://www.twitch.tv/syl2010"}},{"text":" Twitter","color":"aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/_syl2010_"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=8}] [{"text":"A-Z: "},{"text":">> ","bold":true},{"text":"Discord","color":"dark_gray","bold":true,"clickEvent":{"action":"open_url","value":"https://discordapp.com/channels/@me/601759661242449941"}},{"text":" <<","bold":true,"color":"none"}]
tellraw @a[scores={Links=9}] [{"text":"Toalgaron: "},{"text":">> ","bold":true},{"text":"Twitch","color":"dark_purple","bold":true,"clickEvent":{"action":"open_url","value":"https://www.twitch.tv/toalgaron1"}},{"text":" <<","bold":true,"color":"none"}]
execute at @a[scores={Links=1..}] run playsound minecraft:block.note_block.snare record @p[scores={Links=1..}]
scoreboard players set @a[scores={Links=1..}] Links 0


# next tick
scoreboard players add @e[type=sheep] SheepTimer 1
scoreboard players add regen_loop tick 1
scoreboard players set @a[scores={Death=1..}] Death 0

scoreboard players enable @a Links
scoreboard players enable @a Shop
scoreboard players enable @a Hat
scoreboard players enable @a DeathEvent
scoreboard players enable @a RandomPet
scoreboard players enable @a RandomTeam
scoreboard players enable @a TutorialTeam

tag @a[tag=UseEgg] remove UseEgg
