# GameState 1

# add player in team to the game
tag @a[team=Orange,tag=!InGame] add Alive
tag @a[team=Blue,tag=!InGame] add Alive

title @a[team=Orange,tag=!InGame] times 0 10 5
title @a[team=Blue,tag=!InGame] times 0 10 5

scoreboard players set @a[team=Orange,tag=!InGame] Respawn 20
scoreboard players set @a[team=Blue,tag=!InGame] Respawn 20

gamemode survival @a[team=Orange,tag=!InGame]
gamemode survival @a[team=Blue,tag=!InGame]

tag @a[team=Orange,tag=!InGame] add InGame
tag @a[team=Blue,tag=!InGame] add InGame


# auto spectate
gamemode spectator @a[team=Spawn,gamemode=adventure]
tp @a[x=2000,y=123,z=2000,distance=..25,team=Spawn] @r[tag=Alive]


# player death
scoreboard players set @e[type=player,scores={Revive=1}] Respawn 20


# waiting respawn
tp @a[team=Blue,scores={Respawn=20}] 1002 98 743 0 0
tp @a[team=Orange,scores={Respawn=20}] 998 98 1457 180 0


# nexus attacked
execute as @e[type=wither,tag=Blue] at @s unless entity @p[team=Orange,distance=..10] run tag @s remove NexusAttacked
execute as @e[type=wither,tag=Orange] at @s unless entity @p[team=Blue,distance=..10] run tag @s remove NexusAttacked

execute as @e[type=wither,tag=Blue] at @s if entity @p[team=Orange,distance=..10] run tag @s add NexusAttacked
execute as @e[type=wither,tag=Orange] at @s if entity @p[team=Blue,distance=..10] run tag @s add NexusAttacked

scoreboard players set @e[type=wither,tag=!NexusAttacked,scores={attackNexus=1..}] attackNexus -1
scoreboard players add @e[type=wither,tag=NexusAttacked] attackNexus 1
scoreboard players set @e[type=wither,tag=NexusAttacked,scores={attackNexus=21..}] attackNexus 1

execute if entity @e[type=wither,tag=Blue,scores={attackNexus=0}] run tellraw @a[tag=Alive,team=Blue] {"text":"The Nexus is attacked !!","color":"red","bold":true}
execute if entity @e[type=wither,tag=Orange,scores={attackNexus=0}] run tellraw @a[tag=Alive,team=Orange] {"text":"The Nexus is attacked !!","color":"red","bold":true}

execute at @e[type=wither,scores={attackNexus=20},tag=Blue] run playsound minecraft:entity.experience_orb.pickup record @a[team=Blue] ~ ~ ~ 100
execute at @e[type=wither,scores={attackNexus=20},tag=Orange] run playsound minecraft:entity.experience_orb.pickup record @a[team=Orange] ~ ~ ~ 100


# nexus dead detection
execute positioned 998 98 1457 if entity @a[distance=..100] unless entity @e[distance=..30,type=wither] run scoreboard players add orangeNexusDead tick 1
execute positioned 998 98 1457 if entity @a[distance=..100] if entity @e[distance=..30,type=wither] run scoreboard players set orangeNexusDead tick 0

execute positioned 1002 98 743 if entity @a[distance=..100] unless entity @e[distance=..30,type=wither] run scoreboard players add blueNexusDead tick 1
execute positioned 1002 98 743 if entity @a[distance=..100] if entity @e[distance=..30,type=wither] run scoreboard players set blueNexusDead tick 0


execute if score orangeNexusDead tick matches 20 run function evo_war:message/nexus_dead/orange
execute if score blueNexusDead tick matches 20 run function evo_war:message/nexus_dead/blue

execute if score orangeNexusDead tick matches 20.. if score Deathmatch Data matches 0 run function evo_war:message/deathmatch/enable
execute if score blueNexusDead tick matches 20.. if score Deathmatch Data matches 0 run function evo_war:message/deathmatch/enable

execute if score orangeNexusDead tick matches 20.. if score Deathmatch Data matches 0 run scoreboard players set Deathmatch Data 1
execute if score blueNexusDead tick matches 20.. if score Deathmatch Data matches 0 run scoreboard players set Deathmatch Data 1

execute if score blueNexusDead Data matches 0 if score orangeNexusDead Data matches 0 run scoreboard players set Deathmatch Data 0


# Deathmatch
execute if score Deathmatch tick matches 6000 run function evo_war:message/deathmatch/glowing
execute if score Deathmatch tick matches 12000 run function evo_war:message/deathmatch/tracer

execute if score blueNexusDead tick matches 20.. if score Deathmatch tick matches 6000.. run effect give @a[team=Blue,tag=Alive,nbt=!{ActiveEffects:[{Id:24b}]}] minecraft:glowing 99999 0 true
execute if score orangeNexusDead tick matches 20.. if score Deathmatch tick matches 6000.. run effect give @a[team=Orange,tag=Alive,nbt=!{ActiveEffects:[{Id:24b}]}] minecraft:glowing 99999 0 true
execute if score blueNexusDead tick matches 20.. if score Deathmatch tick matches 12000.. at @a[team=Blue,tag=Alive] run particle minecraft:dust 0 0 1 1.5 ~ ~ ~ 0.01 100 0.01 0 40 force @a[team=Orange,tag=Alive]
execute if score orangeNexusDead tick matches 20.. if score Deathmatch tick matches 12000.. at @a[team=Orange,tag=Alive] run particle minecraft:dust 1 0.5 0 1.5 ~ ~ ~ 0.01 100 0.01 0 40 force @a[team=Blue,tag=Alive]
execute if score blueNexusDead tick matches 20.. if score Deathmatch tick matches 12000.. as @a[team=Orange,tag=Alive] at @s run function evo_war:tracer/blue
execute if score orangeNexusDead tick matches 20.. if score Deathmatch tick matches 12000.. as @a[team=Blue,tag=Alive] at @s run function evo_war:tracer/orange


# player elimination
execute if score orangeNexusDead tick matches 20.. run tag @a[team=Orange,scores={Respawn=20},tag=Alive] remove Alive
execute if score blueNexusDead tick matches 20.. run tag @a[team=Blue,scores={Respawn=20},tag=Alive] remove Alive
gamemode spectator @e[type=player,gamemode=!spectator,tag=InGame,tag=!Alive]
tag @a[tag=!Alive,tag=TeamOwner] remove TeamOwner

execute unless entity @a[tag=Alive,tag=TeamOwner,team=Orange] run tag @r[tag=Alive,tag=!TeamOwner,team=Orange] add TeamOwner
execute unless entity @a[tag=Alive,tag=TeamOwner,team=Blue] run tag @r[tag=Alive,tag=!TeamOwner,team=Blue] add TeamOwner


# player respawn
execute positioned 998 98 1457 run tp @a[distance=..30,team=Orange,scores={Respawn=1},tag=Alive] 1000 160 1300 180 0
execute positioned 1002 98 743 run tp @a[distance=..30,team=Blue,scores={Respawn=1},tag=Alive] 1000 160 900 0 0
effect give @a[scores={Respawn=1..}] minecraft:resistance 10 100


# update player inventory
execute as @e[type=player,team=Blue,tag=Alive] run function evo_war:update_inventory/blue
execute as @e[type=player,team=Orange,tag=Alive] run function evo_war:update_inventory/orange
execute as @e[type=player,team=Spawn,gamemode=!spectator] run function evo_war:update_inventory/spawn


# capture system
execute as @e[type=armor_stand,tag=Obj,scores={Cap=..300}] at @s if entity @e[type=player,distance=..20,team=Blue] run scoreboard players add @s Cap 1
execute as @e[type=armor_stand,tag=Obj,scores={Cap=-300..}] at @s if entity @e[type=player,distance=..20,team=Orange] run scoreboard players remove @s Cap 1
execute at @e[type=armor_stand,tag=Obj,scores={Cap=..0}] run scoreboard players set @a[distance=..20] CapBlue 0
execute at @e[type=armor_stand,tag=Obj,scores={Cap=0..}] run scoreboard players set @a[distance=..20] CapOrange 0
execute at @e[type=armor_stand,tag=Obj,scores={Cap=0..}] run scoreboard players operation @a[distance=..20] CapBlue = @e[type=armor_stand,distance=..20,tag=Obj] Cap
execute at @e[type=armor_stand,tag=Obj,scores={Cap=..0}] run scoreboard players operation @a[distance=..20] CapOrange = @e[type=armor_stand,distance=..20,tag=Obj] Cap
scoreboard players operation @a[scores={CapBlue=1..}] CapBlue /= 3 Constant
scoreboard players operation @a[scores={CapOrange=..-1}] CapOrange /= -3 Constant

execute at @e[type=armor_stand,tag=Obj,scores={Cap=-300..300}] run title @a[distance=..20] title ""
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-300..-251}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ■■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-250..-201}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-200..-151}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-150..-101}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-100..-51}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-50..-6}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=-5..5}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=6..50}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■ ▪ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=51..100}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■ ▪ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=101..150}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=151..200}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■ ▪ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=201..250}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■ ▪ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
#execute at @e[tag=Obj,type=armor_stand,scores={Cap=251..300}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ▪ ▪ ▪ ▪ ▪ ▪","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■■ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=..-300}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"% ■■■■■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-299..-270}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ■■■■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-269..-240}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ■■■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-239..-210}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ■■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-209..-180}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ▪ ■■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-179..-150}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ▪ ▪ ■■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-149..-120}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ▪ ▪ ▪ ■■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-119..-90}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ▪ ▪ ▪ ▪ ■■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-89..-60}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ■","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-59..-30}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%   ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-29..-10}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ■■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=-9..9}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■ ▪ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=10..29}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■ ▪","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪    ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=30..59}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":" ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=60..89}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=90..119}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■ ▪ ▪ ▪ ▪ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=120..149}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■ ▪ ▪ ▪ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=150..179}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■ ▪ ▪ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=180..209}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■ ▪ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=210..239}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■■ ▪ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=240..269}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■■■ ▪ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=270..299}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■■■■ ▪   ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]
execute at @e[tag=Obj,type=armor_stand,scores={Cap=300..}] run title @a[distance=..20] subtitle [{"text":"> ","bold":true},{"score":{"name":"@p","objective":"CapOrange"},"color":"gold","bold":true},{"text":"%    ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ▪ ","color":"gold","bold":false},{"text":" | ","bold":true,"color":"none"},{"text":"▪ ▪ ■■■","bold":false,"color":"gray"},{"text":" | ","bold":true,"color":"none"},{"text":"■■■■■■■■■ ","color":"blue","bold":false},{"score":{"name":"@p","objective":"CapBlue"},"color":"blue","bold":true},{"text":"% ","color":"blue","bold":false},{"text":" <","bold":true,"color":"none"}]

execute at @e[type=armor_stand,name=A,tag=Obj,scores={Cap=60}] run setblock ~ ~ ~ blue_banner[rotation=8]{Patterns:[{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:rs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:11}]}
execute at @e[type=armor_stand,name=A,tag=Obj,scores={Cap=59}] run setblock ~ ~ ~ white_banner[rotation=8]{Patterns:[{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:rs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=A,tag=Obj,scores={Cap=-59}] run setblock ~ ~ ~ white_banner[rotation=8]{Patterns:[{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:rs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=A,tag=Obj,scores={Cap=-60}] run setblock ~ ~ ~ orange_banner[rotation=8]{Patterns:[{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:rs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:1}]}
execute at @e[type=armor_stand,name=B,tag=Obj,scores={Cap=60}] run setblock ~ ~ ~ blue_banner[rotation=12]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:11},{Pattern:tl,Color:15},{Pattern:bl,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:11}]}
execute at @e[type=armor_stand,name=B,tag=Obj,scores={Cap=59}] run setblock ~ ~ ~ white_banner[rotation=12]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:0},{Pattern:tl,Color:15},{Pattern:bl,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=B,tag=Obj,scores={Cap=-59}] run setblock ~ ~ ~ white_banner[rotation=12]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:0},{Pattern:tl,Color:15},{Pattern:bl,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=B,tag=Obj,scores={Cap=-60}] run setblock ~ ~ ~ orange_banner[rotation=12]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ms,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:1},{Pattern:tl,Color:15},{Pattern:bl,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:1}]}
execute at @e[type=armor_stand,name=C,tag=Obj,scores={Cap=60}] run setblock ~ ~ ~ blue_banner[rotation=0]{Patterns:[{Pattern:rs,Color:15},{Pattern:ms,Color:11},{Pattern:ts,Color:15},{Pattern:bs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:11}]}
execute at @e[type=armor_stand,name=C,tag=Obj,scores={Cap=59}] run setblock ~ ~ ~ white_banner[rotation=0]{Patterns:[{Pattern:rs,Color:15},{Pattern:ms,Color:0},{Pattern:ts,Color:15},{Pattern:bs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=C,tag=Obj,scores={Cap=-59}] run setblock ~ ~ ~ white_banner[rotation=0]{Patterns:[{Pattern:rs,Color:15},{Pattern:ms,Color:0},{Pattern:ts,Color:15},{Pattern:bs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=C,tag=Obj,scores={Cap=-60}] run setblock ~ ~ ~ orange_banner[rotation=0]{Patterns:[{Pattern:rs,Color:15},{Pattern:ms,Color:1},{Pattern:ts,Color:15},{Pattern:bs,Color:15},{Pattern:ls,Color:15},{Pattern:bo,Color:1}]}
execute at @e[type=armor_stand,name=D,tag=Obj,scores={Cap=60}] run setblock ~ ~ ~ blue_banner[rotation=4]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:11},{Pattern:ls,Color:15},{Pattern:bo,Color:11}]}
execute at @e[type=armor_stand,name=D,tag=Obj,scores={Cap=59}] run setblock ~ ~ ~ white_banner[rotation=4]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:0},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=D,tag=Obj,scores={Cap=-59}] run setblock ~ ~ ~ white_banner[rotation=4]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:0},{Pattern:ls,Color:15},{Pattern:bo,Color:0}]}
execute at @e[type=armor_stand,name=D,tag=Obj,scores={Cap=-60}] run setblock ~ ~ ~ orange_banner[rotation=4]{Patterns:[{Pattern:rs,Color:15},{Pattern:bs,Color:15},{Pattern:ts,Color:15},{Pattern:cbo,Color:1},{Pattern:ls,Color:15},{Pattern:bo,Color:1}]}


# gateway teleporter (base to nexus)
tp @a[x=1000,y=99,z=1303,distance=..1,team=Orange] 997 112 1473 180 0
tp @a[x=1000,y=99,z=897,distance=..1,team=Blue] 1003 112 727 0 0


# teleporter system (base to point)
scoreboard players operation @e[type=armor_stand,tag=HoloBase,name=A] Cap = @e[type=armor_stand,tag=Obj,name=A] Cap
scoreboard players operation @e[type=armor_stand,tag=HoloBase,name=B] Cap = @e[type=armor_stand,tag=Obj,name=B] Cap
scoreboard players operation @e[type=armor_stand,tag=HoloBase,name=C] Cap = @e[type=armor_stand,tag=Obj,name=C] Cap
scoreboard players operation @e[type=armor_stand,tag=HoloBase,name=D] Cap = @e[type=armor_stand,tag=Obj,name=D] Cap

execute as @a[tag=!onTP] at @s if entity @e[type=armor_stand,tag=HoloBase,distance=..1] run tag @s add onTP
execute as @a[tag=onTP] at @s unless entity @e[type=armor_stand,tag=HoloBase,distance=..1] run tag @s remove onTP

execute as @a[tag=onTP,team=Orange] at @s if entity @e[type=armor_stand,tag=HoloBase,tag=Orange,scores={Cap=..-60},distance=..1] run tag @s add canTP
execute as @a[tag=onTP,team=Orange] at @s unless entity @e[type=armor_stand,tag=HoloBase,tag=Orange,scores={Cap=..-60},distance=..1] run tag @s remove canTP
execute as @a[tag=onTP,team=Blue] at @s if entity @e[type=armor_stand,tag=HoloBase,tag=Blue,scores={Cap=60..},distance=..1] run tag @s add canTP
execute as @a[tag=onTP,team=Blue] at @s unless entity @e[type=armor_stand,tag=HoloBase,tag=Blue,scores={Cap=60..},distance=..1] run tag @s remove canTP
tag @a[tag=canTP,tag=!onTP] remove canTP

execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=60}] at @s run playsound minecraft:entity.enderman.teleport player @a

execute at @e[type=armor_stand,tag=Orange,name=A,scores={Cap=..-60}] run tp @a[distance=..1,team=Orange,scores={SneakTimeTP=60..}] 1081 70 1050
execute at @e[type=armor_stand,tag=Orange,name=B,scores={Cap=..-60}] run tp @a[distance=..1,team=Orange,scores={SneakTimeTP=60..}] 930 130 1051
execute at @e[type=armor_stand,tag=Orange,name=C,scores={Cap=..-60}] run tp @a[distance=..1,team=Orange,scores={SneakTimeTP=60..}] 919 70 1150
execute at @e[type=armor_stand,tag=Orange,name=D,scores={Cap=..-60}] run tp @a[distance=..1,team=Orange,scores={SneakTimeTP=60..}] 1070 130 1149

execute at @e[type=armor_stand,tag=Blue,name=A,scores={Cap=60..}] run tp @a[distance=..1,team=Blue,scores={SneakTimeTP=60..}] 1081 70 1050
execute at @e[type=armor_stand,tag=Blue,name=B,scores={Cap=60..}] run tp @a[distance=..1,team=Blue,scores={SneakTimeTP=60..}] 930 130 1051
execute at @e[type=armor_stand,tag=Blue,name=C,scores={Cap=60..}] run tp @a[distance=..1,team=Blue,scores={SneakTimeTP=60..}] 919 70 1150
execute at @e[type=armor_stand,tag=Blue,name=D,scores={Cap=60..}] run tp @a[distance=..1,team=Blue,scores={SneakTimeTP=60..}] 1070 130 1149

execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=60}] at @s run playsound minecraft:entity.enderman.teleport player @a

execute as @a[tag=onTP] run title @s title ""
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=0}] run title @s subtitle [{"text":"Sneak to Teleport! > ","color":"green","bold":true},{"text":"▪ ▪ ▪ ▪ ▪ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=1..9}] run title @s subtitle [{"text":"Teleporting... > ","color":"green","bold":true},{"text":"▪ ▪ ▪ ▪ ▪ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=10..19}] run title @s subtitle [{"text":"Teleporting... > ","color":"green","bold":true},{"text":"■ ▪ ▪ ▪ ▪ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=20..29}] run title @s subtitle [{"text":"Teleporting... > ","color":"green","bold":true},{"text":"■■ ▪ ▪ ▪ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=30..39}] run title @s subtitle [{"text":"Teleporting... > ","color":"green","bold":true},{"text":"■■■ ▪ ▪ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=40..49}] run title @s subtitle [{"text":"Teleporting... > ","color":"green","bold":true},{"text":"■■■■ ▪ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=50..59}] run title @s subtitle [{"text":"Teleporting... > ","color":"green","bold":true},{"text":"■■■■■ ▪","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=canTP,scores={SneakTimeTP=60..}] run title @s subtitle [{"text":"Teleported! > ","color":"green","bold":true},{"text":"■■■■■■","color":"green","bold":false},{"text":" <","color":"green","bold":true}]
execute as @a[tag=onTP,tag=!canTP] run title @s subtitle {"text":"Teleportation unavailable!","color":"red","bold":true}

scoreboard players set @a[tag=!canTP] SneakTimeTP 0


# give break block
give @a[tag=Alive,scores={BreakChest=1}] minecraft:chest 1
scoreboard players set @a[scores={BreakChest=1..}] BreakChest 0

give @a[tag=Alive,scores={BreakHopper=1}] minecraft:hopper 1
scoreboard players set @a[scores={BreakHopper=1..}] BreakHopper 0


# anti fire
fill 1017 111 886 983 98 910 air replace fire
fill 984 111 1314 1018 98 1289 air replace fire


# anti-arrow
execute if score particles Settings matches 1..2 at @e[type=wither] at @e[type=arrow,distance=..5] run particle explosion ~ ~ ~ 0 0 0 1 1
execute at @e[type=wither] run kill @e[type=arrow,distance=..5]


# the wall
execute at @a[tag=Alive,scores={LegalDodge=0},team=Orange] if block 1000 1 ~ barrier run tellraw @p {"text":"/!\\ You can't dodge the wall /!\\","color":"red"}
execute at @a[tag=Alive,scores={LegalDodge=0},team=Orange] if block 1000 1 ~ barrier run tp @p[distance=..1] ~ ~ ~1

execute at @a[tag=Alive,scores={LegalDodge=0},team=Blue] if block 1000 2 ~ barrier run tellraw @p {"text":"/!\\ You can't dodge the wall /!\\","color":"red"}
execute at @a[tag=Alive,scores={LegalDodge=0},team=Blue] if block 1000 2 ~ barrier run tp @p[distance=..1] ~ ~ ~-1

scoreboard players set @a[x=966,y=100,z=820,dx=58,dy=14,dz=11] LegalDodge 3
scoreboard players set @a[x=966,y=100,z=1367,dx=58,dy=14,dz=11] LegalDodge 3


# center detection
execute as @a[tag=Alive,x=993,y=95,z=1093,dx=14,dy=20,dz=14] at @s if block ~ 5 ~ barrier run tag @s add InMidPl
execute as @a[tag=InMidPl] at @s unless entity @s[tag=Alive,x=993,y=95,z=1093,dx=14,dy=20,dz=14] run tag @s remove InMidPl
execute as @a[tag=InMidPl] at @s unless block ~ 5 ~ barrier run tag @s remove InMidPl

execute if entity @a[tag=InMidPl,team=Blue] run setblock 1000 98 1100 blue_stained_glass
execute if entity @a[tag=InMidPl,team=Orange] run setblock 1000 97 1100 orange_stained_glass
execute unless entity @a[tag=InMidPl,team=Blue] run setblock 1000 98 1100 air
execute unless entity @a[tag=InMidPl,team=Orange] run setblock 1000 97 1100 air


# coins system
scoreboard players add TimerCoins tick 1

execute if score TimerCoins tick matches 20 run scoreboard players add CoinsOrange Data 1
execute if score TimerCoins tick matches 20 run scoreboard players add CoinsBlue Data 1

execute if entity @a[tag=inRestrictedArea,team=Blue] if score TimerCoins tick matches 20 run scoreboard players add CoinsBlue Data 1
execute if entity @a[tag=inRestrictedArea,team=Orange] if score TimerCoins tick matches 20 run scoreboard players add CoinsOrange Data 1

execute if score TimerCoins tick matches 20.. run scoreboard players set TimerCoins tick 0


# shop system
execute as @a[scores={Shop=1..}] at @s run function evo_war:shop_system


# upgrade wall
execute if score OrangeAgeStone Data matches 1 if score UpgradedOrange Data matches 0 if entity @a[x=1000,y=100,z=1374,distance=..75] run function evo_war:wall_upgrade/orange
execute if score BlueAgeStone Data matches 1 if score UpgradedBlue Data matches 0 if entity @a[x=1000,y=100,z=826,distance=..75] run function evo_war:wall_upgrade/blue

execute as @e[type=minecraft:armor_stand,tag=wall_negative] at @s unless block ~ ~-1 ~ minecraft:lapis_block run kill @s
execute as @e[type=minecraft:armor_stand,tag=wall_positive] at @s unless block ~ ~-1 ~ minecraft:gold_block run kill @s

execute as @e[type=minecraft:armor_stand,tag=wall_blue] at @s run clone ~ 100 ~1 ~ 124 ~13 ~1014 99 ~910 masked
execute as @e[type=minecraft:armor_stand,tag=wall_orange] at @s run clone ~ 100 ~-1 ~ 124 ~-13 ~1014 99 ~1465 masked

execute as @e[type=minecraft:armor_stand,tag=wall_blue] at @s run particle cloud ~1014 99 ~916 0 20 10 0.5 100 force
execute as @e[type=minecraft:armor_stand,tag=wall_orange] at @s run particle cloud ~1014 99 ~1473 0 20 10 0.5 100 force

execute as @e[type=minecraft:armor_stand,tag=wall_positive] at @s run tp ~-1 ~ ~
execute as @e[type=minecraft:armor_stand,tag=wall_negative] at @s run tp ~1 ~ ~


# action bar display
execute if entity @e[type=wither,tag=Blue,tag=!NexusAttacked] run title @a[tag=!inRestrictedArea,team=Blue] actionbar [{"score":{"name":"CoinsBlue","objective":"Data"},"color":"blue","bold":true},{"text":" coins","color":"blue","bold":false}]
execute if entity @e[type=wither,tag=Orange,tag=!NexusAttacked] run title @a[tag=!inRestrictedArea,team=Orange] actionbar [{"score":{"name":"CoinsOrange","objective":"Data"},"color":"gold","bold":true},{"text":" coins","color":"gold","bold":false}]
execute if entity @e[type=wither,tag=Blue,tag=!NexusAttacked] run title @a[tag=Alive,tag=inRestrictedArea,team=Blue] actionbar [{"text":"You are in restricted area","color":"red","bold":false},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsBlue","objective":"Data"},"color":"blue","bold":true},{"text":" coins","color":"blue","bold":false}]
execute if entity @e[type=wither,tag=Orange,tag=!NexusAttacked] run title @a[tag=Alive,tag=inRestrictedArea,team=Orange] actionbar [{"text":"You are in restricted area","color":"red","bold":false},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsOrange","objective":"Data"},"color":"gold","bold":true},{"text":" coins","color":"gold","bold":false}]

execute if entity @e[type=wither,tag=Blue,tag=NexusAttacked] run title @a[tag=Alive,team=Blue] actionbar [{"text":"The Nexus is attacked !!","color":"red","bold":true},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsBlue","objective":"Data"},"color":"blue","bold":true},{"text":" coins","color":"blue","bold":false}]
execute if entity @e[type=wither,tag=Orange,tag=NexusAttacked] run title @a[tag=Alive,team=Orange] actionbar [{"text":"The Nexus is attacked !!","color":"red","bold":true},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsOrange","objective":"Data"},"color":"gold","bold":true},{"text":" coins","color":"gold","bold":false}]

execute unless entity @e[type=wither,tag=Blue] run title @a[tag=!inRestrictedArea,team=Blue] actionbar [{"score":{"name":"CoinsBlue","objective":"Data"},"color":"blue","bold":true},{"text":" coins","color":"blue","bold":false}]
execute unless entity @e[type=wither,tag=Orange] run title @a[tag=!inRestrictedArea,team=Orange] actionbar [{"score":{"name":"CoinsOrange","objective":"Data"},"color":"gold","bold":true},{"text":" coins","color":"gold","bold":false}]
execute unless entity @e[type=wither,tag=Blue] run title @a[tag=Alive,tag=inRestrictedArea,team=Blue] actionbar [{"text":"You are in restricted area","color":"red","bold":false},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsBlue","objective":"Data"},"color":"blue","bold":true},{"text":" coins","color":"blue","bold":false}]
execute unless entity @e[type=wither,tag=Orange] run title @a[tag=Alive,tag=inRestrictedArea,team=Orange] actionbar [{"text":"You are in restricted area","color":"red","bold":false},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsOrange","objective":"Data"},"color":"gold","bold":true},{"text":" coins","color":"gold","bold":false}]

title @a[team=Spawn] actionbar [{"score":{"name":"CoinsBlue","objective":"Data"},"color":"blue","bold":true},{"text":" coins","color":"blue","bold":false},{"text":" | ","color":"gray","bold":false},{"score":{"name":"CoinsOrange","objective":"Data"},"color":"gold","bold":true},{"text":" coins","color":"gold","bold":false}]


# pet system
execute at @a[tag=TeamOwner,scores={Respawn=2},team=Blue] run kill @e[type=!player,tag=BluePet]
execute at @a[tag=TeamOwner,scores={Respawn=2},team=Orange] run kill @e[type=!player,tag=OrangePet]

execute if score BluePet Data matches 3 at @a[tag=TeamOwner,scores={Respawn=1},team=Blue] run summon slime ~ ~ ~ {NoAI:true,Size:1,Tags:["Pet","BluePet","PetFollowing"]}
execute if score BluePet Data matches 2 at @a[tag=TeamOwner,scores={Respawn=1},team=Blue] run summon blaze ~ ~ ~ {Tags:["Pet","BluePet","PetFollowing"]}
execute if score BluePet Data matches 1 at @a[tag=TeamOwner,scores={Respawn=1},team=Blue] run summon bat ~ ~ ~ {Tags:["Pet","BluePet","PetFollowing"]}

execute if score OrangePet Data matches 3 at @a[tag=TeamOwner,scores={Respawn=1},team=Orange] run summon slime ~ ~ ~ {NoAI:true,Size:1,Tags:["Pet","OrangePet","PetFollowing"]}
execute if score OrangePet Data matches 2 at @a[tag=TeamOwner,scores={Respawn=1},team=Orange] run summon blaze ~ ~ ~ {Tags:["Pet","OrangePet","PetFollowing"]}
execute if score OrangePet Data matches 1 at @a[tag=TeamOwner,scores={Respawn=1},team=Orange] run summon bat ~ ~ ~ {Tags:["Pet","OrangePet","PetFollowing"]}

team join Orange @e[type=!armor_stand,tag=OrangePet]
team join Blue @e[type=!armor_stand,tag=BluePet]

execute if entity @e[type=bat,tag=OrangePet] run effect give @e[type=player,team=Orange,tag=Alive] speed 1 1 true
execute if entity @e[type=bat,tag=BluePet] run effect give @e[type=player,team=Blue,tag=Alive] speed 1 1 true
execute if entity @e[type=bat,tag=OrangePet] run effect give @e[type=player,team=Orange,tag=Alive] jump_boost 1 1 true
execute if entity @e[type=bat,tag=BluePet] run effect give @e[type=player,team=Blue,tag=Alive] jump_boost 1 1 true
execute if entity @e[type=slime,tag=OrangePet] run effect give @e[type=player,team=Orange,tag=Alive] resistance 1 0 true
execute if entity @e[type=slime,tag=BluePet] run effect give @e[type=player,team=Blue,tag=Alive] resistance 1 0 true
execute if entity @e[type=blaze,tag=OrangePet] run effect give @e[type=player,team=Orange,tag=Alive] strength 1 0 true
execute if entity @e[type=blaze,tag=BluePet] run effect give @e[type=player,team=Blue,tag=Alive] strength 1 0 true

scoreboard players add @e[type=player,tag=TeamOwner] PetTimer 1
scoreboard players set @e[type=player,tag=TeamOwner,scores={PetTimer=3..}] PetTimer 0

scoreboard players add @e[type=area_effect_cloud,tag=PetMove] PetTimer 1

execute at @a[tag=TeamOwner,scores={PetTimer=1},team=Blue] run summon area_effect_cloud ~ ~ ~ {Duration:30,NoGravity:true,Tags:["PetMove","BluePet"]}
execute at @a[tag=TeamOwner,scores={PetTimer=1},team=Orange] run summon area_effect_cloud ~ ~ ~ {Duration:30,NoGravity:true,Tags:["PetMove","OrangePet"]}

execute at @a[tag=TeamOwner,team=Orange] run kill @e[type=area_effect_cloud,tag=OrangePet,scores={PetTimer=25..},distance=..3]
execute at @a[tag=TeamOwner,team=Blue] run kill @e[type=area_effect_cloud,tag=BluePet,scores={PetTimer=25..},distance=..3]
execute at @a[tag=TeamOwner,team=Orange] run tp @e[type=area_effect_cloud,tag=OrangePet,scores={PetTimer=1}] @p[distance=..1]
execute at @a[tag=TeamOwner,team=Blue] run tp @e[type=area_effect_cloud,tag=BluePet,scores={PetTimer=1}] @p[distance=..1]

tp @e[type=!area_effect_cloud,tag=OrangePet] @e[type=area_effect_cloud,tag=OrangePet,scores={PetTimer=29},limit=1]
execute as @e[type=bat,tag=OrangePet] at @e[type=area_effect_cloud,tag=OrangePet,scores={PetTimer=29},limit=1] run tp @s ~ ~1.5 ~
tp @e[type=!area_effect_cloud,tag=BluePet] @e[type=area_effect_cloud,tag=BluePet,scores={PetTimer=29},limit=1]
execute as @e[type=bat,tag=BluePet] at @e[type=area_effect_cloud,tag=BluePet,scores={PetTimer=29},limit=1] run tp @s ~ ~1.5 ~

execute at @a[tag=TeamOwner,team=Orange] run spreadplayers ~ ~ 2 5 false @e[type=!player,tag=OrangePet,distance=20..]
execute at @a[tag=TeamOwner,team=Blue] run spreadplayers ~ ~ 2 5 false @e[type=!player,tag=BluePet,distance=20..]

# Pet effect
#bat stun
scoreboard players add @e[type=bat,tag=PetFollowing] TimerPetEffect 1

execute as @a[team=Blue,scores={Damage=1..,TimerPetEffect=0}] at @s if entity @e[type=bat,tag=OrangePet,distance=..15,scores={TimerPetEffect=1}] run tag @s add bat_stun
execute as @a[team=Orange,scores={Damage=1..,TimerPetEffect=0}] at @s if entity @e[type=bat,tag=BluePet,distance=..15,scores={TimerPetEffect=1}] run tag @s add bat_stun

execute as @a[scores={Damage=1..,TimerPetEffect=0},tag=bat_stun] run scoreboard players set @s TimerPetEffect 200

effect give @a[scores={TimerPetEffect=200},tag=bat_stun] slowness 2 250
execute at @a[scores={TimerPetEffect=200},tag=bat_stun] run playsound minecraft:entity.item.break player @a
execute if score particles Settings matches 1..2 at @a[scores={TimerPetEffect=160..},tag=bat_stun] run particle minecraft:poof ~ ~0.5 ~ 0.1 0.1 0.1 0.1 1

scoreboard players set @e[type=bat,scores={TimerPetEffect=4..}] TimerPetEffect 0
tag @a[scores={TimerPetEffect=0},tag=bat_stun] remove bat_stun

#slime weakness
scoreboard players add @e[type=slime,tag=PetFollowing] TimerPetEffect 1

execute as @a[team=Blue,scores={Damage=1..,TimerPetEffect=0}] at @s if entity @e[type=slime,tag=OrangePet,distance=..15,scores={TimerPetEffect=1}] run tag @s add slime_weak
execute as @a[team=Orange,scores={Damage=1..,TimerPetEffect=0}] at @s if entity @e[type=slime,tag=BluePet,distance=..15,scores={TimerPetEffect=1}] run tag @s add slime_weak

execute as @a[scores={Damage=1..,TimerPetEffect=0},tag=slime_weak] run scoreboard players set @s TimerPetEffect 400

effect give @a[scores={TimerPetEffect=400},tag=slime_weak] weakness 5 1
execute at @a[scores={TimerPetEffect=400},tag=slime_weak] run playsound minecraft:entity.item.break player @a
execute if score particles Settings matches 1..2 at @a[scores={TimerPetEffect=300..},tag=slime_weak] run particle minecraft:item_slime ~ ~1 ~ 0.2 0.2 0.2 0.1 1

scoreboard players set @e[type=slime,scores={TimerPetEffect=4..}] TimerPetEffect 0
tag @a[scores={TimerPetEffect=0},tag=slime_weak] remove slime_weak

#common
execute if score particles Settings matches 1..2 at @a[scores={TimerPetEffect=1..}] run particle minecraft:enchanted_hit ~ ~0.8 ~ 0.20 0.35 0.20 0.1 2
scoreboard players remove @a[scores={TimerPetEffect=1..}] TimerPetEffect 1


# summon structure egg
scoreboard players add TimerEgg tick 1
execute if score TimerEgg tick matches 80.. run scoreboard players set TimerEgg tick 0
execute if score EggSummon Data matches 1.. run scoreboard players remove EggSummon Data 1

execute if score TimerEgg tick matches 45 run function gunivers-lib:math/random
execute if score TimerEgg tick matches 45 run scoreboard players operation Random_result Data %= 16 Constant
execute if score TimerEgg tick matches 45 run scoreboard players operation RandomEgg Data = Random_result Data
execute if score TimerEgg tick matches 5 run function gunivers-lib:math/random
execute if score TimerEgg tick matches 5 run scoreboard players operation Random_result Data %= 16 Constant
execute if score TimerEgg tick matches 5 run scoreboard players operation RandomEgg Data = Random_result Data

execute if score TimerEgg tick matches 45 run scoreboard players set EggSummon Data 2
execute if score TimerEgg tick matches 5 run scoreboard players set EggSummon Data 1

execute if score TimerEgg tick matches 45 run summon item 1007 102 1300 {Item:{id:"minecraft:arrow",Count:1b}}
execute if score TimerEgg tick matches 5 run summon item 993 102 900 {Item:{id:"minecraft:arrow",Count:1b}}

execute if score EggSummon Data matches 1 if score RandomEgg Data matches 0..5 positioned 1007 102 1300 run function evo_war:egg/wooden_bridge
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 6..7 positioned 1007 102 1300 run function evo_war:egg/wooden_stair_up
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 8..9 positioned 1007 102 1300 run function evo_war:egg/wooden_stair_down
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 10..12 positioned 1007 102 1300 run function evo_war:egg/wooden_wall
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 13..14 positioned 1007 102 1300 run function evo_war:egg/wooden_bunker
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 15 positioned 1007 102 1300 run function evo_war:egg/wooden_tower

execute if score EggSummon Data matches 1 if score RandomEgg Data matches 0..5 positioned 993 102 900 run function evo_war:egg/wooden_bridge
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 6..7 positioned 993 102 900 run function evo_war:egg/wooden_stair_up
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 8..9 positioned 993 102 900 run function evo_war:egg/wooden_stair_down
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 10..12 positioned 993 102 900 run function evo_war:egg/wooden_wall
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 13..14 positioned 993 102 900 run function evo_war:egg/wooden_bunker
execute if score EggSummon Data matches 1 if score RandomEgg Data matches 15 positioned 993 102 900 run function evo_war:egg/wooden_tower

execute if score BlueAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 0..5 positioned 1007 102 900 run function evo_war:egg/stone_bridge
execute if score BlueAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 6..7 positioned 1007 102 900 run function evo_war:egg/stone_stair_up
execute if score BlueAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 8..9 positioned 1007 102 900 run function evo_war:egg/stone_stair_down
execute if score BlueAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 10..12 positioned 1007 102 900 run function evo_war:egg/stone_wall
execute if score BlueAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 13..14 positioned 1007 102 900 run function evo_war:egg/stone_bunker
execute if score BlueAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 15 positioned 1007 102 900 run function evo_war:egg/stone_tower

execute if score OrangeAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 0..5 positioned 993 102 1300 run function evo_war:egg/stone_bridge
execute if score OrangeAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 6..7 positioned 993 102 1300 run function evo_war:egg/stone_stair_up
execute if score OrangeAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 8..9 positioned 993 102 1300 run function evo_war:egg/stone_stair_down
execute if score OrangeAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 10..12 positioned 993 102 1300 run function evo_war:egg/stone_wall
execute if score OrangeAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 13..14 positioned 993 102 1300 run function evo_war:egg/stone_bunker
execute if score OrangeAgeStone Data matches 1 if score EggSummon Data matches 2 if score RandomEgg Data matches 15 positioned 993 102 1300 run function evo_war:egg/stone_tower


# arrow explosion
scoreboard players add @a[scores={LvlBow=1}] RandomExplode 1
scoreboard players set @a[scores={RandomExplode=4..}] RandomExplode 1
execute at @a[scores={LvlBow=1,UseBow=1..,RandomExplode=1}] positioned ~ ~1 ~ run scoreboard players set @e[type=arrow,distance=..1,limit=1] ExplodePower 1
execute at @a[scores={LvlBow=2,UseBow=1..}] positioned ~ ~1 ~ run scoreboard players set @e[type=arrow,distance=..1,limit=1] ExplodePower 1
execute at @a[scores={LvlBow=3..4,UseBow=1..}] positioned ~ ~1 ~ run scoreboard players set @e[type=arrow,distance=..1,limit=1] ExplodePower 2

scoreboard players set @a[scores={UseBow=1..}] UseBow 0

execute as @e[type=arrow] at @s if block ~ 0 ~ air if block ~ 3 ~ air run scoreboard players add @s[nbt={inGround:1b}] ExplodePower 10
execute at @e[type=arrow,scores={ExplodePower=11}] run fill ~-1 ~ ~ ~1 ~ ~ air destroy
execute at @e[type=arrow,scores={ExplodePower=11}] run fill ~ ~-1 ~ ~ ~1 ~ air destroy
execute at @e[type=arrow,scores={ExplodePower=11}] run fill ~ ~ ~-1 ~ ~ ~1 air destroy
execute at @e[type=arrow,scores={ExplodePower=12}] run fill ~-1 ~ ~ ~1 ~ ~ fire destroy
execute at @e[type=arrow,scores={ExplodePower=12}] run fill ~ ~-1 ~ ~ ~1 ~ fire destroy
execute at @e[type=arrow,scores={ExplodePower=12}] run fill ~ ~ ~-1 ~ ~ ~1 fire destroy
execute at @e[type=arrow,scores={ExplodePower=11..12}] run playsound minecraft:entity.item.pickup player @a ~ ~ ~ 0.5
execute if score particles Settings matches 1..2 at @e[type=arrow,scores={ExplodePower=11..}] run particle smoke 20 100 -17 0.1 0.1 0.1 0.1 20
kill @e[type=arrow,scores={ExplodePower=10..}]


# update player counter
function evo_war:playercount


# phenix system
execute positioned 1000 106 986 if entity @a[distance=..150] if score BluePhoenix Data matches 1 run scoreboard players set BluePhoenix Data 0
execute positioned 1000 106 1214 if entity @a[distance=..150] if score OrangePhoenix Data matches 1 run scoreboard players set OrangePhoenix Data 0
execute if block 1000 106 984 minecraft:tnt if block 998 107 987 minecraft:tnt if block 995 108 988 minecraft:tnt if block 1000 107 988 minecraft:tnt if block 1000 108 988 minecraft:tnt if block 1000 110 989 minecraft:tnt if block 1002 107 987 minecraft:tnt if block 1005 108 988 minecraft:tnt run scoreboard players set BluePhoenix Data 1
execute if block 1000 107 1212 minecraft:tnt if block 1000 108 1212 minecraft:tnt if block 995 108 1212 minecraft:tnt if block 1005 108 1212 minecraft:tnt if block 1002 107 1213 minecraft:tnt if block 998 107 1213 minecraft:tnt if block 1000 106 1216 minecraft:tnt run scoreboard players set OrangePhoenix Data 1
execute if score OrangePhoenix Data matches 0 run scoreboard players add CoinsBlue Data 500
execute if score BluePhoenix Data matches 0 run scoreboard players add CoinsOrange Data 500
execute if score BluePhoenix Data matches 0 run tellraw @a {"text":"The ","color":"white","extra":[{"text":"Blue","color":"blue","bold":"true"},{"text":" phoenix is destroyed !\nThe"},{"text":" Orange ","color":"gold","bold":"true"},{"text":"team earn 500 coins"}]}
execute if score OrangePhoenix Data matches 0 run tellraw @a {"text":"The ","color":"white","extra":[{"text":"Orange","color":"gold","bold":"true"},{"text":" phoenix is destroyed !\nThe"},{"text":" Blue ","color":"blue","bold":"true"},{"text":"team earn 500 coins"}]}
execute if score BluePhoenix Data matches 0 run summon tnt 1000 107 988 {Fuse:20}
execute if score BluePhoenix Data matches 0 run summon tnt 1000 107 988 {Fuse:20}
execute if score BluePhoenix Data matches 0 run summon tnt 1000 107 988 {Fuse:20}
execute if score BluePhoenix Data matches 0 run summon tnt 1000 107 988 {Fuse:20}
execute if score OrangePhoenix Data matches 0 run summon tnt 1000 107 1212 {Fuse:20}
execute if score OrangePhoenix Data matches 0 run summon tnt 1000 107 1212 {Fuse:20}
execute if score OrangePhoenix Data matches 0 run summon tnt 1000 107 1212 {Fuse:20}
execute if score OrangePhoenix Data matches 0 run summon tnt 1000 107 1212 {Fuse:20}
execute if score OrangePhoenix Data matches 0 run scoreboard players set OrangePhoenix Data -1
execute if score BluePhoenix Data matches 0 run scoreboard players set BluePhoenix Data -1


# win
execute if score orangeNexusDead tick matches 20.. if score orangeAlive Data matches 0 run function evo_war:win/blue
execute if score blueNexusDead tick matches 20.. if score blueAlive Data matches 0 run function evo_war:win/orange


# next tick
execute if score Deathmatch Data matches 1 run scoreboard players add Deathmatch tick 1
scoreboard players remove @e[type=player,scores={Respawn=1..}] Respawn 1
scoreboard players remove @a[scores={LegalDodge=1..}] LegalDodge 1
scoreboard players set @a[scores={Damage=1..}] Damage 0
