gamerule doWeatherCycle false
gamerule doMobSpawning false
gamerule doMobLoot false
gamerule doEntityDrops false
gamerule doTileDrops false
gamerule spawnRadius 0
gamerule spectatorsGenerateChunks false
gamerule announceAdvancements false
gamerule randomTickSpeed 3
gamerule sendCommandFeedback false

defaultgamemode adventure
difficulty normal
weather clear 99999


team add Blue {"text":"Blue","color":"blue"}
team add Orange {"text":"Orange","color":"gold"}
team add Spawn
team add Training
team add Tutorial

team modify Blue color blue
team modify Orange color gold
team modify Training color gray
team modify Tutorial color light_purple

team modify Blue displayName {"text":"Blue","color":"blue"}
team modify Orange displayName {"text":"Orange","color":"gold"}

team modify Training prefix {"text":"[Training] ","color":"gray"}
team modify Tutorial prefix {"text":"[Tutorial] ","color":"light_purple"}

team modify Blue friendlyFire false
team modify Orange friendlyFire false
team modify Spawn friendlyFire true
team modify Training friendlyFire true

team modify Blue collisionRule always
team modify Orange collisionRule always
team modify Spawn collisionRule never
team modify Training collisionRule always

team modify Tutorial seeFriendlyInvisibles false

team join Blue Blue
team join Orange Orange


scoreboard objectives add tick dummy
scoreboard objectives add SheepTimer dummy
scoreboard objectives add PetTimer dummy
scoreboard objectives add TimerBat dummy
scoreboard objectives add attackNexus dummy
scoreboard objectives add TimerPetEffect dummy

scoreboard objectives add Data dummy
scoreboard objectives add Constant dummy
scoreboard objectives add Settings dummy
scoreboard objectives add PlayerCount dummy "Players Alive"
scoreboard objectives modify PlayerCount displayname "Players Alive"

scoreboard objectives add Respawn dummy
scoreboard objectives add Cap dummy
scoreboard objectives add CapBlue dummy
scoreboard objectives add CapOrange dummy
scoreboard objectives add LegalDodge dummy
scoreboard objectives add ExplodePower dummy
scoreboard objectives add RandomExplode dummy
scoreboard objectives add LvlBow dummy
scoreboard objectives add LvlArmor dummy
scoreboard objectives add LvlSword dummy
scoreboard objectives add PriceShop dummy
scoreboard objectives add TutorialTick dummy

scoreboard objectives add DeathEvent trigger
scoreboard objectives add Hat trigger
scoreboard objectives add Shop trigger
scoreboard objectives add Links trigger
scoreboard objectives add Trail trigger
scoreboard objectives add RandomPet trigger
scoreboard objectives add RandomTeam trigger
scoreboard objectives add TutorialTeam trigger

scoreboard objectives add Death deathCount
scoreboard objectives add Revive minecraft.custom:minecraft.time_since_death
scoreboard objectives add SneakTimeTP minecraft.custom:minecraft.sneak_time
scoreboard objectives add Damage minecraft.custom:minecraft.damage_dealt

scoreboard objectives add BreakChest minecraft.mined:minecraft.chest
scoreboard objectives add BreakHopper minecraft.mined:minecraft.hopper

scoreboard objectives add UseStoneEgg minecraft.used:minecraft.silverfish_spawn_egg
scoreboard objectives add UseWoodenEgg minecraft.used:minecraft.rabbit_spawn_egg
scoreboard objectives add UseArmoredEgg minecraft.used:minecraft.endermite_spawn_egg
scoreboard objectives add UseSpecialEgg minecraft.used:minecraft.blaze_spawn_egg
scoreboard objectives add UseBow minecraft.used:minecraft.bow

execute unless score GameState Data matches 0.. run scoreboard players set GameState Data 0
execute unless score OrangeAgeStone Data matches 0.. run scoreboard players set OrangeAgeStone Data 0
execute unless score BlueAgeStone Data matches 0.. run scoreboard players set BlueAgeStone Data 0
execute unless score UpgradedOrange Data matches 0.. run scoreboard players set UpgradedOrange Data 0
execute unless score UpgradedBlue Data matches 0.. run scoreboard players set UpgradedBlue Data 0
execute unless score BlueOwnerReady Data matches 0.. run scoreboard players set BlueOwnerReady Data 0
execute unless score OrangeOwnerReady Data matches 0.. run scoreboard players set OrangeOwnerReady Data 0
execute unless score BlueReady Data matches 0.. run scoreboard players set BlueReady Data 0
execute unless score OrangeReady Data matches 0.. run scoreboard players set OrangeReady Data 0
execute unless score Ready Data matches 0.. run scoreboard players set Ready Data 0
execute unless score Deathmatch Data matches 0.. run scoreboard players set Deathmatch Data 0

execute unless score 3 Constant matches 3 run scoreboard players set 3 Constant 3
execute unless score -3 Constant matches -3 run scoreboard players set -3 Constant -3
execute unless score 20 Constant matches 20 run scoreboard players set 20 Constant 20
execute unless score 16 Constant matches 16 run scoreboard players set 16 Constant 16

function evo_war:regen_loop
