# GameState 0

# gamemode and effects
gamemode adventure @a[gamemode=survival,team=!Training]
effect give @a[team=!Training,nbt=!{ActiveEffects:[{Id:11b}]}] minecraft:resistance 1 100 true

# diplay settings
execute as @e[type=item_frame,scores={Settings=1}] run data merge entity @s {Item:{id:"minecraft:gold_block",tag:{display:{Name:"\"Day\""}}}}
execute as @e[type=item_frame,scores={Settings=2}] run data merge entity @s {Item:{id:"minecraft:lapis_block",tag:{display:{Name:"\"Night\""}}}}

execute as @e[type=item_frame,scores={Settings=4}] run data merge entity @s {Item:{id:"minecraft:yellow_stained_glass_pane",tag:{display:{Name:"\"Clear\""}}}}
execute as @e[type=item_frame,scores={Settings=5}] run data merge entity @s {Item:{id:"minecraft:light_blue_stained_glass_pane",tag:{display:{Name:"\"Rain\""}}}}
execute as @e[type=item_frame,scores={Settings=6}] run data merge entity @s {Item:{id:"minecraft:white_stained_glass_pane",tag:{display:{Name:"\"Thunder\""}}}}

execute as @e[type=item_frame,scores={Settings=8}] run data merge entity @s {Item:{id:"minecraft:red_stained_glass_pane",tag:{display:{Name:"\"False\""}}}}
execute as @e[type=item_frame,scores={Settings=9}] run data merge entity @s {Item:{id:"minecraft:lime_stained_glass_pane",tag:{display:{Name:"\"True\""}}}}

execute as @e[type=item_frame,scores={Settings=11}] run data merge entity @s {Item:{id:"minecraft:red_stained_glass_pane",tag:{display:{Name:"\"Off\""}}}}
execute as @e[type=item_frame,scores={Settings=12}] run data merge entity @s {Item:{id:"minecraft:yellow_stained_glass_pane",tag:{display:{Name:"\"Some\""}}}}
execute as @e[type=item_frame,scores={Settings=13}] run data merge entity @s {Item:{id:"minecraft:lime_stained_glass_pane",tag:{display:{Name:"\"All\""}}}}

execute as @e[type=item_frame,scores={Settings=15}] run data merge entity @s {Item:{id:"minecraft:red_stained_glass_pane",tag:{display:{Name:"\"False\""}}}}
execute as @e[type=item_frame,scores={Settings=16}] run data merge entity @s {Item:{id:"minecraft:lime_stained_glass_pane",tag:{display:{Name:"\"True\""}}}}

scoreboard players add @e[type=item_frame,nbt={ItemRotation:1b}] Settings 1
execute as @e[type=item_frame,nbt=!{ItemRotation:0b}] run data merge entity @s {ItemRotation:0b}
scoreboard players set @e[type=item_frame,scores={Settings=3}] Settings 1
scoreboard players set @e[type=item_frame,scores={Settings=7}] Settings 4
scoreboard players set @e[type=item_frame,scores={Settings=10}] Settings 8
scoreboard players set @e[type=item_frame,scores={Settings=14}] Settings 11
scoreboard players set @e[type=item_frame,scores={Settings=17}] Settings 15



# settings access
execute positioned 2000 127 2000 unless entity @e[tag=GoSet,distance=..5] run summon armor_stand 2000 127 2000 {NoGravity:true,Invulnerable:true,Invisible:true,Tags:["GoSet"],Marker:true,Passengers:[{Tame:true,Invulnerable:true,id:"minecraft:horse",Tags:["Invisible","GoSet"],Silent:true,NoAI:true,CustomName:"{\"text\":\"Going_Up\"}",CustomNameVisible:false}]}

tag @a[tag=isRide,nbt=!{RootVehicle:{Entity:{id:"minecraft:armor_stand",Tags:["GoSet","isRide"]}}}] remove isRide
tag @a[tag=!isRide,gamemode=creative,nbt={RootVehicle:{Entity:{id:"minecraft:armor_stand",Tags:["GoSet"]}}}] add isRide
tellraw @a[tag=!isRide,gamemode=!creative,nbt={RootVehicle:{Entity:{id:"minecraft:armor_stand",Tags:["GoSet"]}}}] {"text":"Only creative players can modify the settings!","color":"red","bold":true}
tp @a[tag=!isRide,gamemode=!creative,nbt={RootVehicle:{Entity:{id:"minecraft:armor_stand",Tags:["GoSet"]}}}] 2000 125 2000
execute at @a[tag=isRide] run tag @e[type=armor_stand,distance=..2,tag=GoSet,tag=!isRide] add isRide

execute at @e[type=armor_stand,tag=GoSet,tag=isRide] unless entity @a[distance=..1,tag=isRide] run tp @e[name=Going_Up,distance=..1] 2000 -200 2000
execute as @e[type=armor_stand,tag=GoSet,tag=isRide] at @s unless entity @a[distance=..1,tag=isRide] run tp @s 2000 -200 2000
execute as @e[type=horse,tag=GoSet,name=Going_Up] at @s unless entity @e[type=armor_stand,tag=GoSet] run tp @s 2000 -200 2000

execute as @e[type=armor_stand,tag=GoSet,tag=isRide] at @s unless entity @a[distance=..1,tag=isRide] run kill @s
execute as @e[type=horse,tag=GoSet,name=Going_Up] at @s unless entity @e[type=armor_stand,tag=GoSet] run kill @s

execute as @e[type=armor_stand,tag=GoSet,tag=isRide] at @s run tp @s ~ ~0.4 ~
execute at @a[tag=isRide] at @e[type=armor_stand,tag=GoSet,limit=1,distance=..10] run particle poof ~ ~ ~ 0.1 1 0.1 0.1 5 force

tp @a[tag=isRide,x=2000,y=167,z=2000,distance=..1] 2000 166 2001


# pet selection
execute if entity @a[scores={RandomPet=1..},team=Blue] run scoreboard players set randomPetBlue Data 1
execute if entity @a[scores={RandomPet=1..},team=Orange] run scoreboard players set randomPetOrange Data 1
scoreboard players reset @a[scores={RandomPet=1..}] RandomPet

execute if score randomPetBlue Data matches 1 run function evo_war:random_pet/blue
execute if score randomPetOrange Data matches 1 run function evo_war:random_pet/orange

execute if entity @a[team=Orange,scores={Shop=-20}] run data merge block 2206 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Agility Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -10\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Orange,scores={Shop=-20}] run data merge block 2204 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Attack Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -15\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Orange,scores={Shop=-20}] run data merge block 2202 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Defense Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Selected\",\"color\":\"green\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -20\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-20}] run data merge block 1793 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Agility Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -10\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-20}] run data merge block 1795 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Attack Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -15\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-20}] run data merge block 1797 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Defense Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Selected\",\"color\":\"green\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -20\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}

execute if entity @a[team=Orange,scores={Shop=-15}] run data merge block 2206 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Agility Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -10\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Orange,scores={Shop=-15}] run data merge block 2204 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Attack Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Selected\",\"color\":\"green\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -15\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Orange,scores={Shop=-15}] run data merge block 2202 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Defense Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -20\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-15}] run data merge block 1793 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Agility Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -10\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-15}] run data merge block 1795 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Attack Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Selected\",\"color\":\"green\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -15\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-15}] run data merge block 1797 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Defense Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -20\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}

execute if entity @a[team=Orange,scores={Shop=-10}] run data merge block 2206 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Agility Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Selected\",\"color\":\"green\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -10\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Orange,scores={Shop=-10}] run data merge block 2204 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Attack Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -15\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Orange,scores={Shop=-10}] run data merge block 2202 100 1995 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Defense Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -20\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-10}] run data merge block 1793 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Agility Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Selected\",\"color\":\"green\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -10\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-10}] run data merge block 1795 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Attack Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -15\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}
execute if entity @a[team=Blue,scores={Shop=-10}] run data merge block 1797 100 2006 {Text1:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}",Text2:"{\"text\":\"Defense Pet\",\"bold\":true,\"color\":\"black\"}",Text3:"{\"text\":\"Click to select\",\"color\":\"white\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"trigger Shop set -20\"}}",Text4:"{\"text\":\"xxxxxxxxxxxxxxx\",\"color\":\"black\"}"}

execute if entity @a[scores={Shop=-10},team=Orange] run scoreboard players set OrangePet Data 1
execute if entity @a[scores={Shop=-10},team=Blue] run scoreboard players set BluePet Data 1
execute if entity @a[scores={Shop=-15},team=Orange] run scoreboard players set OrangePet Data 2
execute if entity @a[scores={Shop=-15},team=Blue] run scoreboard players set BluePet Data 2
execute if entity @a[scores={Shop=-20},team=Orange] run scoreboard players set OrangePet Data 3
execute if entity @a[scores={Shop=-20},team=Blue] run scoreboard players set BluePet Data 3
execute at @a[scores={Shop=..-10}] run playsound entity.experience_orb.pickup record @p

scoreboard players set @a[scores={Shop=-30..-10}] Shop 0


# team system
execute if entity @a[scores={RandomTeam=1..}] run tag @a[x=2000,y=120,z=2000,distance=..100,team=Spawn] add randomTeam
scoreboard players set @a[scores={RandomTeam=1..}] RandomTeam 0
execute as @r[tag=randomTeam] run function evo_war:team/join/orange
execute as @r[tag=randomTeam] run function evo_war:team/join/blue

execute as @a[x=2019,y=122,z=1999,dx=0,dy=4,dz=2] run function evo_war:team/join/orange
execute as @a[x=1981,y=122,z=1999,dx=0,dy=4,dz=2] run function evo_war:team/join/blue

execute as @a[x=2196,y=99,z=1997,dx=0,dy=3,dz=3] run function evo_war:team/leave/orange
execute as @a[x=1803,y=99,z=2002,dx=0,dy=3,dz=3] run function evo_war:team/leave/blue


# ready and countdown
execute if entity @a[x=1794,y=101,z=2001,distance=..1] if score BlueOwnerReady Data matches 0 run summon armor_stand 1794 101 2001 {Marker:true,Invisible:true,Invulnerable:true,Tags:["blue_ready","center"]}
execute if entity @a[x=1794,y=101,z=2001,distance=..1] if score BlueOwnerReady Data matches 0 run summon armor_stand 1794 100 1998 {Marker:true,Invisible:true,Invulnerable:true,Tags:["blue_ready","particle"]}
execute if entity @a[x=1794,y=101,z=2001,distance=..1] if score BlueOwnerReady Data matches 0 run scoreboard players set BlueOwnerReady Data 1

execute if entity @a[x=2205,y=101,z=2000,distance=..1] if score OrangeOwnerReady Data matches 0 run summon armor_stand 2205 101 2000 {Marker:true,Invisible:true,Invulnerable:true,Tags:["orange_ready","center"]}
execute if entity @a[x=2205,y=101,z=2000,distance=..1] if score OrangeOwnerReady Data matches 0 run summon armor_stand 2205 100 1997 {Marker:true,Invisible:true,Invulnerable:true,Tags:["orange_ready","particle"]}
execute if entity @a[x=2205,y=101,z=2000,distance=..1] if score OrangeOwnerReady Data matches 0 run scoreboard players set OrangeOwnerReady Data 1


execute unless entity @a[x=1794,y=101,z=2001,distance=..1] if score BlueOwnerReady Data matches 1 run kill @e[type=armor_stand,tag=blue_ready]
execute unless entity @a[x=1794,y=101,z=2001,distance=..1] if score BlueOwnerReady Data matches 1 run scoreboard players set BlueOwnerReady Data 0

execute unless entity @a[x=2205,y=101,z=2000,distance=..1] if score OrangeOwnerReady Data matches 1 run kill @e[type=armor_stand,tag=orange_ready]
execute unless entity @a[x=2205,y=101,z=2000,distance=..1] if score OrangeOwnerReady Data matches 1 run scoreboard players set OrangeOwnerReady Data 0


execute if score BlueOwnerReady Data matches 1 run function evo_war:ready/blue
execute if score OrangeOwnerReady Data matches 1 run function evo_war:ready/orange


execute if score BlueReady Data matches 1 if score BlueOwnerReady Data matches 0 run title @a title ""
execute if score BlueReady Data matches 1 if score BlueOwnerReady Data matches 0 run title @a subtitle {"text":"Blue team not ready","color":"blue"}
execute if score BlueReady Data matches 1 if score BlueOwnerReady Data matches 0 run scoreboard players set BlueReady Data 0

execute if score OrangeReady Data matches 1 if score OrangeOwnerReady Data matches 0 run title @a title ""
execute if score OrangeReady Data matches 1 if score OrangeOwnerReady Data matches 0 run title @a subtitle {"text":"Orange team not ready","color":"gold"}
execute if score OrangeReady Data matches 1 if score OrangeOwnerReady Data matches 0 run scoreboard players set OrangeReady Data 0


execute if score BlueReady Data matches 1 if score OrangeReady Data matches 1 if score Ready Data matches 0 run scoreboard players set CountDown tick 200
execute if score BlueReady Data matches 1 if score OrangeReady Data matches 1 if score Ready Data matches 0 run scoreboard players set Ready Data 1

execute if score Ready Data matches 1 if score BlueReady Data matches 0 run scoreboard players set Ready Data 0
execute if score Ready Data matches 1 if score OrangeReady Data matches 0 run scoreboard players set Ready Data 0

execute if score Ready Data matches 1 run function evo_war:countdown

